var win = Ti.UI.createWindow(); 
// Use a NavigationWindow to create a navigation bar for the window 
var navWin = Ti.UI.iOS.createNavigationWindow({window: win}); 

var navButton = Titanium.UI.createButton({title:'Launch'}); 
win.RightNavButton = navButton; 

var docXButton = Titanium.UI.createButton({ 
title:'Launch DocX', 
height:40, 
width:200, 
top:230 
}); 
win.add(docXButton); 

var docButton = Titanium.UI.createButton({ 
title:'Launch Doc', 
height:40, 
width:200, 
top:180 
}); 
win.add(docButton);

var pdfButton = Titanium.UI.createButton({ 
title:'Launch PDF', 
height:40, 
width:200, 
top:280 
}); 
win.add(pdfButton); 

// Create a document viewer to preview a PDF file 
docViewer = Ti.UI.iOS.createDocumentViewer(); 
// Opens the options menu and when the user clicks on 'Quick Look' 
// the document viewer launches with an animated transition 
navButton.addEventListener('click', function(){ 
	docViewer.show({view:navButton, animated: true}); 
}); 
// The document viewer immediately launches without an animation 
docButton.addEventListener('click', function(){
	docViewer.url = 'test1.doc';
	docViewer.show();
	}); 
// The document viewer immediately launches without an animation 
docXButton.addEventListener('click', function(){
	docViewer.url = 'test1.docx';
	docViewer.show();
	}); 
pdfButton.addEventListener('click', function(){
	docViewer.url = 'test.pdf';
	docViewer.show();
	}); 

navWin.open();